﻿Imports EF_Performancetest.Classes
Imports Microsoft.EntityFrameworkCore

Namespace Context
    Public Class PersonContext
        Inherits DbContext

        Public Property Person As DbSet(Of Person)

        Protected Overrides Sub OnConfiguring(optionsBuilder As DbContextOptionsBuilder)
            optionsBuilder.UseSqlServer("Server=(localdb)\mssqllocaldb;Database=EFPerformcancetest.ConsoleApp;Trusted_Connection=True;")
            'optionsBuilder.UseSqlServer("Server=localhost;Database=EFPerformcancetest.ConsoleApp;Trusted_Connection=True;")
        End Sub


        Public Sub Seed()
            Using ctx As New PersonContext
                ctx.Database.EnsureCreated()

                If ctx.Person.Any Then Exit Sub
                For i As Integer = 1 To 20000
                    ctx.Person.Add(New Classes.Person() With {
                                          .FirstName = $"Vorname {i}",
                                          .LastName = $"Nachname {i}",
                                          .Birthday = New Date(1960, 1, 1).AddDays(i),
                                          .Zip = "11111",
                                          .Country = "Deutschland",
                                          .Street = $"Musterstrasse {i}"})
                Next
                ctx.SaveChanges()
            End Using
        End Sub


    End Class
End Namespace